Page MenuHomePhabricator

Deploy final configuration
Closed, ResolvedPublic

Description

During the migration period, Echo will write to both echostore and mainstash, reading first from echostore, with a fallback to mainstash on miss. This migration period will last for at least 3 months, or at most until the Redis cluster for mainstash would otherwise come down.

After the migration period, the final configuration would need to be deploy, making echostore the source for all reads and writes.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEcho: remove transition echo seen-time storage

Event Timeline

Eevans created this task.Oct 8 2019, 4:46 PM

We are targeting January for completion of this task.

Change 565120 had a related patch set uploaded (by Eevans; owner: Eevans):
[operations/mediawiki-config@master] Echo: remove transition echo seen-time storage

https://gerrit.wikimedia.org/r/565120

Change 565120 merged by jenkins-bot:
[operations/mediawiki-config@master] Echo: remove transition echo seen-time storage

https://gerrit.wikimedia.org/r/565120

Mentioned in SAL (#wikimedia-operations) [2020-01-16T19:05:39Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Echo: switch entirely to Kask, remove Redis fallback (T234963) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2020-01-16T19:08:16Z] <catrope@deploy1001> Synchronized wmf-config/CommonSettings.php: Remove kask-echoseen-transition definition, now unused (T234963) (duration: 01m 35s)

CCicalese_WMF closed this task as Resolved.Jan 16 2020, 10:05 PM